#include <htc.h>

#define FOSC 4000000UL
#define _XTAL_FREQ 4000000UL
#define HIGH_SPEED 1

#if NINE == 1
#define NINE_BITS 0x40
#else
#define NINE_BITS 0
#endif

#if HIGH_SPEED == 1
#define SPEED 0x04
#else
#define SPEED 0
#endif

#define RX_PIN TRISC7
#define TX_PIN TRISC6

void Tx_string(char *string);
void Tx_byte(char byte);

void main()
{
	TRISA = 0xFF;
	PORTA = 0x00;
	TRISC = 0x80;
	PORTC = 0x00;
	SPBRG = 25;
	RCSTA = (NINE_BITS|0x90);
	TXSTA = (SPEED|NINE_BITS|0x20);

	while(1){
			Tx_string("AT\r");
			__delay_ms(1000);			
			Tx_string("ATD9742453836;\r");
			__delay_ms(5000);			
	}	
}

void Tx_string(char *string)
{
	while(*string){
		TXREG = *string;
		while(TRMT == 0);
		string++;
	}
}

void Tx_byte(char byte)
{
	while(TRMT == 0); 
	TXREG = byte;
}

